Bug 251452 - Error in the proxy configuration section of "Managing Software with Yum" document
Summary: Error in the proxy configuration section of "Managing Software with Yum" docu...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora Documentation
Classification: Fedora
Component: software-management-guide (Show other bugs)
(Show other bugs)
Version: devel
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: eric@christensenplace.us
QA Contact: Paul W. Frields
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-09 06:09 UTC by tony
Modified: 2008-01-23 13:00 UTC (History)
2 users (show)

Fixed In Version: Wiki
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-23 13:00:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description tony 2007-08-09 06:09:38 UTC
Description of problem: In the latest version of "Managing Software With Yum"
(1.31), in Section 11.1, Example 4, there is an error in the format of the
"proxy=" line. 

In the document it is shown as: proxy=http://mycache.mydomain.com:3128

It should be: proxy=http://mycache.mydomain.com:3128/

ie, it should have a trailing '/'.

The proxy setting will not work is this slash is omitted. 


Version-Release number of selected component (if applicable): 1.31

Comment 1 Dave Russell 2007-10-23 15:06:03 UTC
Current yum-3.2.7-1.fc8 works without the trailing slash.

i.e. proxy=http://user:password@web-proxy.test.com:8080

Please retry with the latest version.


Comment 2 eric@christensenplace.us 2008-01-16 16:31:05 UTC
Tony, are you still seeing the problem with the proxy= variable?

Comment 3 Karsten Wade 2008-01-17 04:24:11 UTC
Reassigning ...

Comment 4 tony 2008-01-17 06:28:12 UTC
Eric, I accept that the problem has been fixed in later versions of yum, but if
you're using an earlier version then the problem persists. 

For this reason, I think the documentation should either include the ending '/'
or a comment be added.

Comment 5 eric@christensenplace.us 2008-01-17 13:25:09 UTC
Tony, what version is this still a problem with?

Comment 6 tony 2008-01-18 06:21:26 UTC
The one that's with RHEL4.

Comment 7 eric@christensenplace.us 2008-01-18 18:39:37 UTC
(In reply to comment #6)
> The one that's with RHEL4.

So this isn't a problem in FC6, F7, or F8?


Comment 8 eric@christensenplace.us 2008-01-23 13:00:06 UTC
A note has been added to the existing documentation that this may be a problem.
 Will confirm with yum developers.


Note You need to log in before you can comment on or make changes to this bug.